## CamelNNTPSettings

CamelNNTPSettings

## Functions

gboolean | camel_nntp_settings_get_filter_all ()
void | camel_nntp_settings_set_filter_all ()
gboolean | camel_nntp_settings_get_filter_junk ()
void | camel_nntp_settings_set_filter_junk ()
gboolean | camel_nntp_settings_get_folder_hierarchy_relative ()
void | camel_nntp_settings_set_folder_hierarchy_relative ()
gboolean | camel_nntp_settings_get_short_folder_names ()
void | camel_nntp_settings_set_short_folder_names ()
gboolean | camel_nntp_settings_get_use_limit_latest ()
void | camel_nntp_settings_set_use_limit_latest ()
guint | camel_nntp_settings_get_limit_latest ()
void | camel_nntp_settings_set_limit_latest ()

## Properties

gboolean | filter-all | Read / Write / Construct
gboolean | filter-junk | Read / Write / Construct
gboolean | folder-hierarchy-relative | Read / Write / Construct
guint | limit-latest | Read / Write / Construct
gboolean | short-folder-names | Read / Write / Construct
gboolean | use-limit-latest | Read / Write / Construct

## Object Hierarchy

        GObject
        ╰── CamelSettings
            ╰── CamelStoreSettings
                ╰── CamelOfflineSettings
                    ╰── CamelNNTPSettings

## Description

## Functions

### camel_nntp_settings_get_filter_all ()

    gboolean
    camel_nntp_settings_get_filter_all (CamelNNTPSettings *settings);

Returns whether apply filters in all folders.

#### Parameters

settings | a CamelNNTPSettings |

#### Returns

whether to apply filters in all folders

Since: 3.4

### camel_nntp_settings_set_filter_all ()

    void
    camel_nntp_settings_set_filter_all (CamelNNTPSettings *settings,
                                        gboolean filter_all);

Sets whether to apply filters in all folders.

#### Parameters

settings | a CamelNNTPSettings |
filter_all | whether to apply filters in all folders |

Since: 3.4

### camel_nntp_settings_get_filter_junk ()

    gboolean
    camel_nntp_settings_get_filter_junk (CamelNNTPSettings *settings);

Returns whether to check new messages for junk.

#### Parameters

settings | a CamelNNTPSettings |

#### Returns

whether to check new messages for junk

Since: 3.24

### camel_nntp_settings_set_filter_junk ()

    void
    camel_nntp_settings_set_filter_junk (CamelNNTPSettings *settings,
                                         gboolean filter_junk);

Sets whether to check new messages for junk.

#### Parameters

settings | a CamelNNTPSettings |
filter_junk | whether to check new messages for junk |

Since: 3.24

### camel_nntp_settings_get_folder_hierarchy_relative ()

    gboolean
    camel_nntp_settings_get_folder_hierarchy_relative
                                   (CamelNNTPSettings *settings);

Returns whether to show relative folder names when allowing users to subscribe to folders. Since newsgroup folder names reveal the absolute path to the folder (e.g. comp.os.linux), displaying the full folder name in a complete hierarchical listing of the news server is redundant, but possibly harder to read.

#### Parameters

settings | a CamelNNTPSettings |

#### Returns

whether to show relative folder names

Since: 3.2

### camel_nntp_settings_set_folder_hierarchy_relative ()

    void
    camel_nntp_settings_set_folder_hierarchy_relative
                                   (CamelNNTPSettings *settings,
                                    gboolean folder_hierarchy_relative);

Sets whether to show relative folder names when allowing users to subscribe to folders. Since newsgroup folder names reveal the absolute path to the folder (e.g. comp.os.linux), displaying the full folder name in a complete hierarchical listing of the news server is redundant, but possibly harder to read.

#### Parameters

settings | a CamelNNTPSettings |
folder_hierarchy_relative | whether to show relative folder names |

Since: 3.2

### camel_nntp_settings_get_short_folder_names ()

    gboolean
    camel_nntp_settings_get_short_folder_names
                                   (CamelNNTPSettings *settings);

Returns whether to use shortened folder names (e.g. c.o.linux rather than comp.os.linux).

#### Parameters

settings | a CamelNNTPSettings |

#### Returns

whether to show shortened folder names

Since: 3.2

### camel_nntp_settings_set_short_folder_names ()

    void
    camel_nntp_settings_set_short_folder_names
                                   (CamelNNTPSettings *settings,
                                    gboolean short_folder_names);

Sets whether to show shortened folder names (e.g. c.o.linux rather than comp.os.linux).

#### Parameters

settings | a CamelNNTPSettings |
short_folder_names | whether to show shortened folder names |

Since: 3.2

### camel_nntp_settings_get_use_limit_latest ()

    gboolean
    camel_nntp_settings_get_use_limit_latest
                                   (CamelNNTPSettings *settings);

#### Parameters

settings | a CamelNNTPSettings |

#### Returns

Whether should limit download of the messages

Since: 3.26

### camel_nntp_settings_set_use_limit_latest ()

    void
    camel_nntp_settings_set_use_limit_latest
                                   (CamelNNTPSettings *settings,
                                    gboolean use_limit_latest);

Sets whether should limit download of the messages.

#### Parameters

settings | a CamelNNTPSettings |
use_limit_latest | value to set |

Since: 3.26

### camel_nntp_settings_get_limit_latest ()

    guint
    camel_nntp_settings_get_limit_latest (CamelNNTPSettings *settings);

#### Parameters

settings | a CamelNNTPSettings |

#### Returns

How many latest messages can be downloaded

Since: 3.26

### camel_nntp_settings_set_limit_latest ()

    void
    camel_nntp_settings_set_limit_latest (CamelNNTPSettings *settings,
                                          guint limit_latest);

Sets how many latest messages can be downloaded.

#### Parameters

settings | a CamelNNTPSettings |
limit_latest | the value to set |

Since: 3.26

## Property Details

### The `“filter-all”` property

      “filter-all”               gboolean

Whether to apply filters in all folders.

Owner: CamelNNTPSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“filter-junk”` property

      “filter-junk”              gboolean

Whether to check new messages for junk.

Owner: CamelNNTPSettings

Flags: Read / Write / Construct

Default value: TRUE

### The `“folder-hierarchy-relative”` property

      “folder-hierarchy-relative” gboolean

Show relative folder names when subscribing.

Owner: CamelNNTPSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“limit-latest”` property

      “limit-latest”             guint

The actual limit to download of the latest messages.

Owner: CamelNNTPSettings

Flags: Read / Write / Construct

Allowed values: >= 100

Default value: 1000

### The `“short-folder-names”` property

      “short-folder-names”       gboolean

Use shortened folder names.

Owner: CamelNNTPSettings

Flags: Read / Write / Construct

Default value: FALSE

### The `“use-limit-latest”` property

      “use-limit-latest”         gboolean

Whether to limit download of the latest messages.

Owner: CamelNNTPSettings

Flags: Read / Write / Construct

Default value: FALSE